## pmars 0.9.2

=== src/Makefile ===
# generic UNIX makefile
CC = gcc			# req. for linux
#CC = cc				# if you don't have gcc
# Configuration options:
#
# No.   Name            Incompatible with   Description
# (1)   -DSERVER        2                   disables cdb debugger (koth server 
#                                           version)
# (2)   -DGRAPHX        1                   enables platform specific core 
#                                           graphics
# (3)   -DKEYPRESS                          only for curses display on SysV:
#                                           enter cdb upon keypress (use if
#                                           Ctrl-C doesn't work)
# (4)   -DEXT94                             ICWS'94 + SEQ,SNE,NOP,*,{,}
# (5)   -DSMALLMEM                          16-bit addresses, less memory
# (6)   -DXWINGRAPHX    1                   X-Windows graphics (UNIX)
# (7)   -DPERMUTATE                         enables -P switch

CFLAGS = -O -DEXT94 -DXWINGRAPHX -DPERMUTATE
LFLAGS = -x
# LIB = -lcurses -ltermlib		# enable this one for curses display
# LIB = -lvgagl -lvga			# enable this one for Linux/SVGA
LIB = -L/usr/X11R6/lib -lX11		# enable this one for X11

.SUFFIXES: .o .c .c~ .man .doc .6
MAINFILE = pmars

HEADER = global.h config.h asm.h sim.h 
OBJ1 = pmars.o asm.o eval.o disasm.o cdb.o sim.o pos.o
OBJ2 = clparse.o global.o token.o 
OBJ3 = str_eng.o

all: flags $(MAINFILE)

flags:
	@echo Making $(MAINFILE) with compiler flags $(CFLAGS)

$(MAINFILE): $(OBJ1) $(OBJ2) $(OBJ3)
	@echo Linking $(MAINFILE)
	@$(CC) -o $(MAINFILE) $(OBJ1) $(OBJ2) $(OBJ3) $(LIB)
	@strip $(MAINFILE)
	@echo done

token.o asm.o disasm.o: asm.h

sim.o cdb.o pos.o disasm.o: sim.h

sim.o: curdisp.c uidisp.c lnxdisp.c xwindisp.c

xwindisp.c: xwindisp.h pmarsicn.h

lnxdisp.c: lnxdisp.h

$(OBJ1) $(OBJ2) $(OBJ3): Makefile config.h global.h

.c.o:
	@echo Compiling $*.o 
	@$(CC) $(CFLAGS) -c $*.c


clean:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3) core

=== debian/changelog ===
pmars (0.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #927287)

 -- Andrius Merkys <merkys@debian.org>  Fri, 05 Apr 2019 08:14:22 -0400

=== debian/watch ===
version=4
http://sf.net/corewar/ pmars-(.*)\.tar\.gz

## pmars 0.9.4

=== doc/Makefile ===
.SUFFIXES: .man .doc .6

all: man doc

man: pmars.man
doc: pmars.doc
pmars.doc: pmars.man
pmars.man: pmars.6

.6.man:
	@echo Building $*.man - online manual
	@nroff -e -man $*.6 > $*.man

.man.doc:
	@echo Building $*.doc - printable manual
	@cp $*.man $*.doc
	@ex $*.doc < makedoc.ex > /dev/null

=== src/Makefile ===
--- 
+++ 
@@ -15,8 +15,9 @@
 # (5)   -DSMALLMEM                          16-bit addresses, less memory
 # (6)   -DXWINGRAPHX    1                   X-Windows graphics (UNIX)
 # (7)   -DPERMUTATE                         enables -P switch
+# (9)   -DRWLIMIT                           enables read/write limits
 
-CFLAGS = -O -DEXT94 -DXWINGRAPHX -DPERMUTATE
+CFLAGS = -O -DEXT94 -DXWINGRAPHX -DPERMUTATE -DRWLIMIT 
 LFLAGS = -x
 # LIB = -lcurses -ltermlib		# enable this one for curses display
 # LIB = -lvgagl -lvga			# enable this one for Linux/SVGA

=== debian/changelog ===
pmars (0.9.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097621)

 -- Adrian Bunk <bunk@debian.org>  Tue, 30 Sep 2025 15:59:17 +0300

pmars (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Watch upstream website for new releases.
  * Enable verbose builds.
  * Fix FTBFS due to implicit sighandler definition (Closes: #1066697)
  * Refresh debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Thu, 21 Mar 2024 05:07:26 -0400

=== debian/control ===
Source: pmars
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Andrius Merkys <merkys@debian.org>
Build-Depends: debhelper (>= 12),
 libx11-dev
Standards-Version: 4.3.0
Homepage: http://www.koth.org/pmars
Vcs-Browser: https://salsa.debian.org/games-team/pmars
Vcs-Git: https://salsa.debian.org/games-team/pmars.git

Package: pmars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable MARS, Core War simulator
 Portable MARS is the official Core War simulator of the ICWS and the
 rec.games.corewar newsgroup. pMARS serves as a test bed for new Redcode
 standards and tournament styles. It has also been used in genetic algorithm
 experiments and as an assembly language teaching aid.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --sourcedir src

override_dh_auto_clean:
	dh_auto_clean --sourcedir src
	rm -f src/pmars

=== debian/watch ===
version=4
http://www.koth.org/pmars/ pmars-([0-9\.]+)@ARCHIVE_EXT@

## pmars 0.9.5

=== Makefile ===
# generic UNIX makefile
CC = gcc			# req. for linux
#CC = cc				# if you don't have gcc
# Configuration options:
#
# No.   Name            Incompatible with   Description
# (1)   -DSERVER        2, 6, 7             disables cdb debugger (koth server 
#                                           version)
# (2)   -DGRAPHX        1                   enables platform specific core 
#                                           graphics
# (3)   -DKEYPRESS                          only for curses display on SysV:
#                                           enter cdb upon keypress (use if
#                                           Ctrl-C doesn't work)
# (4)   -DEXT94                             ICWS'94 + SEQ,SNE,NOP,*,{,}
# (5)   -DSMALLMEM                          16-bit addresses, less memory
# (6)   -DXWINGRAPHX    1                   X-Windows graphics (UNIX)
# (7)   -DCURSESGRAPHX  1                   Curses display (UNIX)
# (8)   -DPERMUTATE                         enables -P switch
# (9)   -DRWLIMIT                           enables read/write limits
# (10)  -DSAFECOLORS                        use Okabe-Ito CVD-safe palette

CFLAGS += -O -DEXT94 -DXWINGRAPHX -DPERMUTATE -DRWLIMIT
LFLAGS += -x
# LIB = -lncurses			# enable this one for curses display
# LIB = -lvgagl -lvga			# enable this one for Linux/SVGA
LIB = -L/usr/X11R6/lib -lX11		# enable this one for X11

.SUFFIXES: .o .c .c~ .man .doc .6
MAINFILE = pmars

HEADER = global.h config.h asm.h sim.h 
OBJ1 = pmars.o asm.o eval.o disasm.o cdb.o sim.o pos.o
OBJ2 = clparse.o global.o token.o 
OBJ3 = str_eng.o

all: flags $(MAINFILE)

flags:
	@echo Making $(MAINFILE) with compiler flags $(CFLAGS)

$(MAINFILE): $(OBJ1) $(OBJ2) $(OBJ3)
	@echo Linking $(MAINFILE)
	@$(CC) $(LDFLAGS) -o $(MAINFILE) $(OBJ1) $(OBJ2) $(OBJ3) $(LIB)
	@strip $(MAINFILE)
	@echo done

token.o asm.o disasm.o: asm.h

sim.o cdb.o pos.o disasm.o: sim.h

sim.o: curdisp.c uidisp.c lnxdisp.c xwindisp.c

xwindisp.c: xwindisp.h pmarsicn.h

lnxdisp.c: lnxdisp.h

$(OBJ1) $(OBJ2) $(OBJ3): Makefile config.h global.h

.c.o:
	@echo Compiling $*.o 
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c

clean:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3) core

=== debian/changelog ===
pmars (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Drop patches: integrated upstream.
  * Depend on debhelper-compat.

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Jan 2026 04:06:24 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Andrius Merkys <merkys@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
  libx11-dev
 Standards-Version: 4.3.0
 Homepage: http://www.koth.org/pmars

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 override_dh_auto_clean:
 	dh_auto_clean --sourcedir src
 	rm -f src/pmars
+
+execute_after_dh_installexamples:
+	chmod -x debian/pmars/usr/share/doc/pmars/examples/*.red
